Subject: bug#70678: guix pull failed on commit 43a4215cad8c6da357f895569c0cedf5e854cee0

From: Simon Tournier <[email-masked]>
Date: Tue, 07 May 2024 22:17:10 +0200

Hi,

Hum, initially I was inclined to close this bug as a transient error
from network.  However,

    > ERROR:
    >    1. &http-get-error:
    >        uri: #<<uri> scheme: https userinfo: #f host: "ci.guix.gnu.org"
    > port: #f path: "/nar/lzip/mzfkrxd4w8vqrmyrx169wj8wyw7r8i37-bash" query:
    > #f fragment: #f>
    >        code: 504
    >        reason: "Gateway Time-out"
    >    2. &message:
    > "https://ci.guix.gnu.org/nar/lzip/mzfkrxd4w8vqrmyrx169wj8wyw7r8i37-bash:
    > HTTP download failed: 504 (\"Gateway Time-out\")"
    > substitution of /gnu/store/mzfkrxd4w8vqrmyrx169wj8wyw7r8i37-bash failed
    > Backtrace:

should not raise this ugly backtrace.  Well, I do not know if it is a
bug or a wishlist. ;-)  It could be nice to handle that.

Cheers,
simon

PS: Since the tracker has already some concrete bug, I am also fine to
    close this wishlist. :-)